- Qt 5.15
- Qt XML Patterns
- QHash Proxy Page
- Qt 5.15.19 Reference Documentation

# QHash Proxy Page

## Functions

uint | qHash(const QXmlNodeModelIndex &index)

## Function Documentation

### uint qHash(const QXmlNodeModelIndex &index)

Computes a hash key from the QXmlNodeModelIndex index, and returns it. This function would be used by QHash if you wanted to build a hash table for instances of QXmlNodeModelIndex.

The hash is computed on QXmlNodeModelIndex::data(), QXmlNodeModelIndex::additionalData(), and QXmlNodeModelIndex::model(). This means the hash key can be used for node indexes from different node models.

This function was introduced in Qt 4.4.